# CCSMainWebsite

[![AGPLv3-only License](https://img.shields.io/badge/License-AGPLv3_only-blue.svg)](https://www.gnu.org/licenses/agpl-3.0.en.html)
![Non-Commercial](https://img.shields.io/badge/Restriction-Non_Commercial-red)
![Derivatives-Open](https://img.shields.io/badge/Derivatives-Must_Open_Source-green)

> **⚠️ 法律重要提示**  
> 本软件采用 **AGPLv3-only + 非商业补充条款** 许可，使用即表示您同意：
> - 禁止任何商业用途
> - 二次开发必须开源并保留原始版权声明
> - 原始作者对二次开发产生的问题不承担责任

---

## 📖 项目简介

本项目基于HTML+CSS+JS+PHP代码构成完整的用户后台，管理员管理面板等逻辑

---

## 📜 核心许可证条款

### ✅ 您被允许
- 自由查看、下载和使用本软件
- 修改源代码（二次开发）
- 分发原始或修改后的版本

### 🚫 您必须遵守
1. **非商业使用限制**  
   禁止任何形式的商业用途，包括：
   - 销售或集成到商业产品中
   - 企业盈利性内部使用
   - 作为商业SaaS服务提供
   
2. **二次开发要求**  
   - 必须**保留所有原始版权声明**
   - 修改版本必须**采用相同许可证开源**（AGPLv3-only）
   - 在衍生作品中明确标注：
     ```text
     基于 [CCSWebsite] (http://gitea.none.pw/dyzzyduq/CCSWebsite/) 修改
     原始作者：dyzzyduq | CCSIT
     ```

3. **免责声明**  
   ```diff
   - 原始作者对任何二次开发导致的：
   -   安全问题、数据丢失、法律责任
   - 不承担任何责任！
   - 修改者有义务自行测试和验证代码安全性
   ```

---

## 🔍 完整法律文本

| 文档 | 链接 |
|------|------|
| **主许可证** | [AGPLv3-only 全文](LICENSE) |
| **官方解释** | [AGPLv3 常见问题](https://www.gnu.org/licenses/agpl-3.0-faq.html) |

---

## ⚠️ 违规后果
根据许可证第8条和补充条款：
```mermaid
graph LR
    违规行为 --> 自动终止授权
    自动终止授权 --> 必须销毁所有副本
    违规行为 --> 著作权诉讼
    著作权诉讼 --> 赔偿+法律费用
```

常见违规场景：
1. 🚫 修改后未开源代码
2. 🚫 移除/修改版权声明



## ❓ 常见问题

### Q1: 可以在公司内部测试使用吗？
> **可以**，但仅限非盈利性研发活动。不可用于生产环境或支持盈利业务。

### Q2: 如何正确标注原作者？
> 在衍生项目的以下位置保留声明：
> ```text
> 版权所有 (c) [2025] [CCS圆周云境]
> 基于 [CCSWebsite] (AGPLv3-only) 修改
> 原始仓库：http://gitea.none.pw/dyzzyduq/CCSWebsite/
> ```

### Q3: 二次开发后需要承担什么责任？
> **您将全权负责**：
> - 修改后代码的质量和安全
> - 用户数据保护
> - 相关法律合规性
```legal
© 2025 [dyzzyduq | CCSIT] - 保留所有权利
本许可在司法管辖区可能有限制，使用前请咨询法律顾问
```